#
# source this file (. /usr/local/mico/mico.sh) in sh,ksh,zsh,bash to set
# up paths for MICO.
#

prefix=/usr
exec_prefix=${prefix}
MICODIR=$exec_prefix
MICOVERSION=`cat $MICODIR/include/mico/version.h | grep MICO_VERSION | \
	cut -d\" -f2 | tr b \.`
PATH=$MICODIR/bin:$PATH
LD_LIBRARY_PATH=$MICODIR/lib:${LD_LIBRARY_PATH:-""}
SHLIB_PATH=$MICODIR/lib:${SHLIB_PATH:-""}
LIBPATH=$MICODIR/lib:${LIBPATH:-""}
MANPATH=$MICODIR/man:${MANPATH:-""}
CPLUS_INCLUDE_PATH=$MICODIR/include
LIBRARY_PATH=$MICODIR/lib

export MICOVERSION PATH LD_LIBRARY_PATH MANPATH CPLUS_INCLUDE_PATH LIBRARY_PATH
export SHLIB_PATH LIBPATH

unset prefix
unset exec_prefix
