#
# source this file (source /usr/local/mico/mico.csh) in csh,tcsh to set
# up paths for MICO.
#

setenv prefix /usr
setenv exec_prefix ${prefix}
setenv MICODIR $exec_prefix
setenv MICOVERSION `cat $MICODIR/include/mico/version.h | grep MICO_VERSION | cut -d\"  -f2 | tr b \.`
setenv PATH $MICODIR/bin:$PATH

if ($?LD_LIBRARY_PATH) then
else
  setenv LD_LIBRARY_PATH ""
endif

if ($?SHLIB_PATH) then
else
  setenv SHLIB_PATH ""
endif

if ($?LIBPATH) then
else
  setenv LIBPATH ""
endif

if ($?MANPATH) then
else
  setenv MANPATH ""
endif

if ($?LIBRARY_PATH) then
else
  setenv LIBRARY_PATH ""
endif

if ($?CPLUS_INCLUDE_PATH) then
else
  setenv CPLUS_INCLUDE_PATH ""
endif

setenv LD_LIBRARY_PATH $MICODIR/lib:$LD_LIBRARY_PATH
setenv SHLIB_PATH $MICODIR/lib:$SHLIB_PATH
setenv LIBPATH $MICODIR/lib:$LIBPATH
setenv MANPATH $MICODIR/man:$MANPATH
setenv LIBRARY_PATH $MICODIR/lib:$LIBRARY_PATH
setenv CPLUS_INCLUDE_PATH $MICODIR/include:$CPLUS_INCLUDE_PATH

unsetenv prefix
unsetenv exec_prefix
